Bug 204328 - [exp-run] devel/ruby-gems: update to 2.5.0
Summary: [exp-run] devel/ruby-gems: update to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-06 10:36 UTC by Po-Chuan Hsieh
Modified: 2015-11-09 18:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)
koobs: exp-run?


Attachments
ruby-gems patch (2.56 KB, patch)
2015-11-06 10:36 UTC, Po-Chuan Hsieh
no flags Details | Diff
ruby-gems.patch (4.06 KB, patch)
2015-11-06 11:50 UTC, Po-Chuan Hsieh
no flags Details | Diff
ruby-gems patch v3 (6.86 KB, patch)
2015-11-08 11:28 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2015-11-06 10:36:12 UTC
Created attachment 162847 [details]
ruby-gems patch

Request exp-run
Comment 1 Po-Chuan Hsieh freebsd_committer 2015-11-06 11:50:01 UTC
Created attachment 162849 [details]
ruby-gems.patch

- Update to 2.5.0
- Add LICENSE_FILE
- Convert to new options target helper
- Convert to new options variable helper
- Use = instead of += for PLIST_SUB
- Cleanup Makefile
Comment 2 Antoine Brodin freebsd_committer 2015-11-06 21:29:33 UTC
Can you update those 2 patches before the exp-run:

security/rubygem-ezcrypto/files/patch-gemspec
www/rubygem-gitlab-grack/files/patch-gemspec
Comment 3 Po-Chuan Hsieh freebsd_committer 2015-11-08 11:28:37 UTC
Created attachment 162899 [details]
ruby-gems patch v3

security/rubygem-ezcrypto/files/patch-gemspec and www/rubygem-gitlab-grack/files/patch-gemspec are modified in this patch (v3).
Comment 4 Antoine Brodin freebsd_committer 2015-11-09 09:33:37 UTC
Exp-run results on 10.2 i386:

http://package18.nyi.freebsd.org/build.html?mastername=102i386-default-PR204328&build=2015-11-08_14h42m40s

Exp-run results on 9.3 amd64:

http://package18.nyi.freebsd.org/build.html?mastername=93amd64-default-PR204328&build=2015-11-08_19h32m09s

net/rubygem-fog-aliyun is unfetchable and lang/rubinius fails to build but those failures look unrelated to ruby-gems update.
Comment 5 Po-Chuan Hsieh freebsd_committer 2015-11-09 18:42:22 UTC
Thanks! The exp-run result looks good.
net/rubygem-fog-aliyun 0.0.10 has been yanked upstream and I'm ready to update it to 0.1.0.
Comment 6 commit-hook freebsd_committer 2015-11-09 18:43:06 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Nov  9 18:42:52 UTC 2015
New revision: 401119
URL: https://svnweb.freebsd.org/changeset/ports/401119

Log:
  - Update to 2.5.0
  - Add LICENSE_FILE
  - Convert to new options target helper
  - Convert to new options variable helper
  - Use = instead of += for PLIST_SUB
  - Cleanup Makefile

  Changes:	https://github.com/rubygems/rubygems/blob/master/History.txt
  PR:		204328
  Exp-run by:	antoine

Changes:
  head/devel/ruby-gems/Makefile
  head/devel/ruby-gems/distinfo
  head/devel/ruby-gems/pkg-plist
  head/security/rubygem-ezcrypto/files/patch-gemspec
  head/www/rubygem-gitlab-grack/files/patch-gemspec
Comment 7 Po-Chuan Hsieh freebsd_committer 2015-11-09 18:44:28 UTC
Committed. Thanks!